include:
  - template: Code-Quality.gitlab-ci.yml

code_quality:
  image: docker:19.03.12
  rules:
    - !reference [ .for_master_rule, rules ]
    - !reference [ .for_develop_rule, rules ]
  needs: ["print-settings"]
  artifacts:
    paths: [gl-code-quality-report.json]      
    reports:
      coverage_report:
        coverage_format: cobertura
        path: coverage/cobertura-coverage.xml        
        
        
sonarcloud-check:
  image: maven:3.8.5-openjdk-17
  rules:
    - !reference [ .for_master_rule, rules ]
    - !reference [ .for_develop_rule, rules ]
  needs: ["print-settings"]
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script:
    - mvn verify sonar:sonar -Dsonar.projectKey=erdprt_rest-api